Skip to Content
Chameleon Docs

Create manual

Creates a manual, its labels and image settings empty.

POST
/api/manuals

Creates a manual, its labels and image settings empty.

Authorization

headerx-api-key<token>

Scope: manuals:write

Request Body

application/json
  1. body
title*string
Length1 <= length <= 200
templateId?string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
categoryId?|
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
tags?array<>
Itemsitems <= 50

Response Body

The new manual

application/json
  1. response
id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
ownerId*string
title*string
categoryId*|
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
tags*array<string>
source*|null
documents*
hasAssets*boolean
hasCards*boolean
cardCount*integer
published*string
Value in"none""public""private"
packKey*string|null
publishedAt*|
Formatdate-time
publishedCardCount*integer|null
job*|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals' \  -H 'Content-Type: application/json' \  -d '{  "title": "string"}'
Example Response
{  "id": "string",  "ownerId": "string",  "title": "string",  "categoryId": "string",  "tags": [    "string"  ],  "source": {    "sha256": "string",    "pageCount": 0,    "pageSizes": [      {        "width": 0,        "height": 0      }    ]  },  "documents": {    "labels": 0,    "image-settings": 0,    "cards": 0,    "asset-index": 0  },  "hasAssets": true,  "hasCards": true,  "cardCount": 0,  "published": "none",  "packKey": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "publishedCardCount": 0,  "job": {    "id": "string",    "kind": "breakdown",    "status": "running",    "startedAt": "2019-08-24T14:15:22Z",    "stoppedAt": "2019-08-24T14:15:22Z",    "error": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}